%global momorel 8
%global betaver beta1
%global langpackver  1

Summary: A graphical LDAP directory browser and editor.
Name: gq
Version: 1.0
Release: 0.%{momorel}m%{?dist}
License: GPL
Group: Applications/Internet
URL: http://biot.com/gq/
Source0: http://dl.sourceforge.net/sourceforge/gqclient/%{name}-%{version}%{betaver}.tar.gz
NoSource: 0
Source1: http://dl.sourceforge.net/sourceforge/gqclient/%{name}-%{version}%{betaver}-langpack-%{langpackver}.tar.gz
NoSource: 1
Source10: %{name}16.png
Source11: %{name}32.png
Source12: %{name}48.png
Patch0: %{name}-%{version}%{betaver}-gcc4.patch
Patch10: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: openldap
Requires: gtk2
BuildPrereq: openldap-devel >= 2.3.19
BuildPrereq: gtk2-devel
BuildPrereq: autoconf
BuildPrereq: desktop-file-utils

%description
GQ is a graphical browser for LDAP directories and schemas.  Using GQ,
an administrator can search through a directory and modify objects stored
in that directory.

%prep
%setup -q -n %{name}-%{version}%{betaver} -a 1
%{name}-%{version}%{betaver}-langpack-%{langpackver}/langpack .

%patch0 -p1 -b .gcc4
%patch10 -p1 -b .icon

%build
autoconf
%configure --with-ldap-prefix=%{_prefix}
%make

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall

# install desktop file
desktop-file-install --vendor=  --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Network \
  %{buildroot}%{_datadir}/gnome/apps/Internet/gq.desktop

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{SOURCE10} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 %{SOURCE11} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m 644 %{SOURCE12} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/*/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Jul 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-0.8m)
- import icons from cooker

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-0.7m)
- remove category Application

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.0-0.6m)
- rebuild against openldap-2.3.19

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.0-0.5m)
- rebuild against openldap-2.3.11
- add langpack

* Sat Dec  3 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.0-0.4m)
- revise gq.desktop for GNOME

* Tue Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-0.3m)
- add gcc4 patch
- Patch0: gq-1.0beta1-gcc4.patch

* Wed Mar 30 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.0-0.2m)
- remove dependency gtk+1-devel

* Sun Mar 27 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.0-0.1m)
- update 1.0-beta1

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.0-7m)
- revised spec for enabling rpm 4.2.

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.0-6m)
- rebuild against openldap

* Wed Jun 18 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.0-5m)
  rebuild against cyrus-sasl2

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.0-4m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.0-3m)
- rebuild against for gdbm

* Fri Jul 26 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.6.0-2m)
- remake configure by automake(for gcc3.1)

* Sat Jul 13 2002 HOSONO Hidetomo <h@h12o.org>
- (0.6.0-1k)
- version up.
- change the value of Source: 

* Fri Nov 02 2001 Motonobu Ichimura <famao@kondara.org>
- (0.4.0-6k)
- add BuildPrereq,Requires Tag

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against openssl 0.9.6.

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.4.0, fixes bugs #24160, #24161

* Wed Dec 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.3.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Nov 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial package
